<?php
namespace TYPO3\TgmSocialshareprivacy\Domain\Repository;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Paul Beck <pb@teamgeist-medien.de>, Teamgeist Medien GbR
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package tgm_socialshareprivacy
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class SocialButtonRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {
    /**
     * Find by multiple uids using , seperated string
     * 
     * @param string String containing uids
     * @return \TYPO3\TgmSocialshareprivacy\Domain\Model\SocialButton Matching social buttons
     */
    public function findByUids($uids) {
        
        $uidArray = explode(",", $uids);
        
        $query = $this->createQuery();
        
        foreach ($uidArray as $key => $value) {
            $constraints[] =  $query->equals('uid', $value);
        }
        
        return $query->matching(
            $query->logicalAnd(
                $query->logicalOr(
                    $constraints
                ),
                $query->equals('hidden', 0),
                $query->equals('deleted', 0)
            )
        )->execute();
    }
}
?>